------------------------------------------------------------------------------------
--Name:  	yurenjie2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-01
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(122, 124)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(180)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(128, 134)
player_0:SetDir(3)
player_0:SetMount(200542)
local npc_0 = CppScriptMgr:AddSimplePlayer(1063943, 133, 139, "WhiteQueen", 0, 0)
npc_0:SetDir(3)
local npc_1 = CppScriptMgr:AddSimplePlayer(17964, 123, 139, "MarchHare", 0, 0)
npc_1:SetDir(4)
local npc_2 = CppScriptMgr:AddSimplePlayer(1062593, 128, 139, "MadHatter", 0, 0)
npc_2:SetDir(3)
local monster_0 = CppScriptMgr:AddPlayer(513, 132, 124, "CheshireCat", 0, 0)
monster_0:SetDir(2)
local monster_1 = CppScriptMgr:AddPlayer(514, 137, 132, "Absolon", 0, 0)
monster_1:SetDir(2)
local npc_6 = CppScriptMgr:AddSimplePlayer(1056293, 133, 134, "Alice", 0, 0)
npc_6:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("cyclonexian", 120, 126, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("zf2-e235", 120, 126, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_1 = CppScriptMgr:AddPlayer(950, 120, 126, "", 0, 0)
Player_1:SetZoomPercent(10)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(Player_1, 10, 150, 5, 33)
CppScriptMgr:WaitMilSec(360)
local effect_1 = CppScriptMgr:AddEffect("ride_screen", 120, 126, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(810)
npc_0:Say("For Wonderland!!!", 1000)
npc_0:SetAction(401)
npc_1:Say("For Wonderland!!!", 1000)
npc_1:SetAction(401)
npc_2:Say("For Wonderland!!!", 1000)
npc_2:SetAction(401)
npc_6:Say("For Wonderland!!!", 1000)
npc_6:SetAction(401)
player_0:Say("For Wonderland!!!", 1000)
player_0:SetAction(401)
CppScriptMgr:WaitMilSec(2250)